コンテンツにスキップ
トレカクラウド
Esc
↑↓移動↵開く⌘Jプレビュー

配送申請の個体を出荷する

指定した行はsaleAmountMinor、その他は円評価額で売上を記録します。価格がない行はsale_amount_required。JPY以外では全行の金額が必要です。saleCurrencyにはitemsが必要で、commitmentIdはこの配送内で重複不可です。 inventory:readに加え、この操作のスコープと許可したメンバーのinventory.write権限が必要です。

POST/inventory/shipments/{id}/ship
認証
AuthorizationOAuth2 アクセストークン · header必須

認可コードフロー(PKCE S256 必須)。認可・トークン・更新のリクエストには resource=https://api.toreca-cloud.com/partner/v1 を付けます。アクセストークンは15分、リフレッシュトークンは90日有効で、更新のたびに入れ替わります。

スコープ:inventory:readinventory:write
パスパラメーター
idstring<uuid>必須
リクエストボディ
必須application/json
trackingNumberstring
最小長 1 · 最大長 100
saleCurrencystring
^[A-Z]{3}$ に一致
itemsobject[]
最小項目数 1 · 最大項目数 200
プロパティを表示
object の配列
commitmentIdstring<uuid>必須
saleAmountMinorinteger必須
最小 0 · 最大 10000000000
レスポンス
200

成功

idstring<uuid>必須
createdAtstring<date-time>必須
updatedAtstring<date-time>必須
orderNumberstring必須
statusstring必須
許可される値:reservedawaiting_shipmentshippedcancelled
versioninteger必須
destinationLabelstring必須
externalRefstring | null必須
プロパティを表示
いずれか 1 つ:
string
string
null
null
trackingNumberstring | null必須
プロパティを表示
いずれか 1 つ:
string
string
null
null
shippedAtstring<date-time> | null必須
プロパティを表示
いずれか 1 つ:
string<date-time>
string<date-time>
null
null
itemsobject[]必須
プロパティを表示
object の配列
commitmentIdstring<uuid> | null必須
プロパティを表示
いずれか 1 つ:
string<uuid>
string<uuid>
null
null
inventoryItemIdstring<uuid>必須
assetNumberstring必須
statusstring必須
saleobject | null必須
プロパティを表示
いずれか 1 つ:
object
amountMinorinteger必須
currencystring必須
sourcestring必須
null
null
400

invalid_request。パラメーターが正しくありません。

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
401

invalid_token。トークンがない、期限切れ、または別のリソース向けです。

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
403

insufficient_scope、connection_revoked、client_disabled、forbidden のいずれかです。

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
404

not_found

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
409

競合・requestIdの流用・受取未確認

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
422

現在の状態・対象・値では実行できません。errorと対象IDを確認します。

errorstring必須

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

requestIdstring<uuid>
inventoryItemIdsstring<uuid>[]
holdIdsstring<uuid>[]
commitmentIdsstring<uuid>[]
試してみる
サーバー
認証
パラメーター
ボディapplication/json
リクエスト
curl -X POST 'https://api.toreca-cloud.com/partner/v1/inventory/shipments/497f6eca-6276-4993-bfeb-53cbbbba6f08/ship' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "trackingNumber": "string",
  "saleCurrency": "string",
  "items": [
    {
      "commitmentId": "4e1ecf7c-8127-4207-92b0-010ff43ff54d",
      "saleAmountMinor": 0
    }
  ]
}'
レスポンス
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "orderNumber": "string",
  "status": "reserved",
  "version": 0,
  "destinationLabel": "string",
  "externalRef": "string",
  "trackingNumber": "string",
  "shippedAt": "2019-08-24T14:15:22Z",
  "items": [
    {
      "commitmentId": "4e1ecf7c-8127-4207-92b0-010ff43ff54d",
      "inventoryItemId": "ef1bc09e-447a-46aa-a9d9-d86e3d490831",
      "assetNumber": "string",
      "status": "string",
      "sale": {
        "amountMinor": 0,
        "currency": "string",
        "source": "string"
      }
    }
  ]
}

このページは役に立ちましたか?